package com.prolog.cs.biz.outbound.model.vo;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class WorkStageVO {

    private static final long serialVersionUID = 2932957055860684281L;
    @Id
    /** 主键ID **/
    private String id;

    /**
     * 建筑物
     **/
    @ApiModelProperty(value = "波次id")
    private String waveId;

    @ApiModelProperty(value = "仓库id")
    private String warehouseId;

    @ApiModelProperty(value = "创建时间")
    private Date gmtCreate;

    /**
     * 建筑物
     **/
    @ApiModelProperty(value = "订单分组id")
    private String billGroupId;

    @ApiModelProperty(value = "货主id")
    private String consignorId;

    /**
     * 建筑物
     **/
    @ApiModelProperty(value = "建筑物")
    @Column(value = "building_code")
    private String buildingCode;

    /**
     * 暂存区ID
     **/
    @ApiModelProperty(value = "暂存区ID")
    @Column(value = "stage_id")
    private String stageId;

    /**
     * 暂存区ID
     **/
    @ApiModelProperty(value = "暂存区编码")
    @Column(value = "stage_code")
    private String stageCode;

    /**
     * 箱数
     **/
    @ApiModelProperty(value = "箱数")
    @Column(value = "case_qty")
    private BigDecimal caseQty;

    public String getWaveId() {
        return waveId;
    }

    public void setWaveId(String waveId) {
        this.waveId = waveId;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBillGroupId() {
        return billGroupId;
    }

    public void setBillGroupId(String billGroupId) {
        this.billGroupId = billGroupId;
    }

    public String getConsignorId() {
        return consignorId;
    }

    public void setConsignorId(String consignorId) {
        this.consignorId = consignorId;
    }

    public String getBuildingCode() {
        return buildingCode;
    }

    public void setBuildingCode(String buildingCode) {
        this.buildingCode = buildingCode;
    }

    public String getStageId() {
        return stageId;
    }

    public void setStageId(String stageId) {
        this.stageId = stageId;
    }

    public String getStageCode() {
        return stageCode;
    }

    public void setStageCode(String stageCode) {
        this.stageCode = stageCode;
    }

    public BigDecimal getCaseQty() {
        return caseQty;
    }

    public void setCaseQty(BigDecimal caseQty) {
        this.caseQty = caseQty;
    }
}
